searchData={"items":[{"type":"module","title":"Cldr.Calendar.Era.Japanese","doc":"Implements a `year_of_era/{1, 2}` function to return\nthe year of era and the era number for the\n`Cldr.Calendar.Era.Japanese` calendar.\n\nThis module is generated at compile time from\nCLDR era data.","ref":"Cldr.Calendar.Era.Japanese.html"},{"type":"function","title":"Cldr.Calendar.Era.Japanese.day_of_era/1","doc":"Returns the day of era and the era number\nfor a given date in `iso_days`.","ref":"Cldr.Calendar.Era.Japanese.html#day_of_era/1"},{"type":"function","title":"Cldr.Calendar.Era.Japanese.year_of_era/1","doc":"Returns the year of era and the era number\nfor a given date in `iso_days`.","ref":"Cldr.Calendar.Era.Japanese.html#year_of_era/1"},{"type":"function","title":"Cldr.Calendar.Era.Japanese.year_of_era/2","doc":"","ref":"Cldr.Calendar.Era.Japanese.html#year_of_era/2"},{"type":"module","title":"Cldr.Calendar.Japanese","doc":"Implements the Japanese calendar that is calendrically\nthe same as the proleptic Gregorian calendar but has a\ndifferent era structure.","ref":"Cldr.Calendar.Japanese.html"},{"type":"function","title":"Cldr.Calendar.Japanese.calendar_base/0","doc":"Identifies that this calendar is month based.","ref":"Cldr.Calendar.Japanese.html#calendar_base/0"},{"type":"function","title":"Cldr.Calendar.Japanese.calendar_year/3","doc":"Returns the calendar year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Japanese.html#calendar_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.cldr_calendar_type/0","doc":"Defines the CLDR calendar type for this calendar.\n\nThis type is used in support of `Cldr.Calendar.\nlocalize/3`.","ref":"Cldr.Calendar.Japanese.html#cldr_calendar_type/0"},{"type":"function","title":"Cldr.Calendar.Japanese.cyclic_year/3","doc":"Returns the cyclic year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Japanese.html#cyclic_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.date_from_iso_days/1","doc":"","ref":"Cldr.Calendar.Japanese.html#date_from_iso_days/1"},{"type":"function","title":"Cldr.Calendar.Japanese.date_to_iso_days/3","doc":"","ref":"Cldr.Calendar.Japanese.html#date_to_iso_days/3"},{"type":"function","title":"Cldr.Calendar.Japanese.day_of_era/3","doc":"Calculates the day and era from the given\n`year`, `month`, and `day`.\n\nBy default we consider on two eras: before the epoch\nand on-or-after the epoch.","ref":"Cldr.Calendar.Japanese.html#day_of_era/3"},{"type":"function","title":"Cldr.Calendar.Japanese.day_of_year/3","doc":"Calculates the day of the year from the given\n`year`, `month`, and `day`.","ref":"Cldr.Calendar.Japanese.html#day_of_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.days_in_month/1","doc":"Returns how many days there are in the given month.\n\nMust be implemented in derived calendars because\nwe cannot know what the calendar format is.","ref":"Cldr.Calendar.Japanese.html#days_in_month/1"},{"type":"function","title":"Cldr.Calendar.Japanese.days_in_month/2","doc":"Returns how many days there are in the given year\nand month.","ref":"Cldr.Calendar.Japanese.html#days_in_month/2"},{"type":"function","title":"Cldr.Calendar.Japanese.days_in_week/0","doc":"Returns the number days in a a week.","ref":"Cldr.Calendar.Japanese.html#days_in_week/0"},{"type":"function","title":"Cldr.Calendar.Japanese.days_in_year/1","doc":"Returns the number days in a given year.\n\nThe year is the number of years since the\nepoch.","ref":"Cldr.Calendar.Japanese.html#days_in_year/1"},{"type":"function","title":"Cldr.Calendar.Japanese.epoch/0","doc":"","ref":"Cldr.Calendar.Japanese.html#epoch/0"},{"type":"function","title":"Cldr.Calendar.Japanese.epoch_day_of_week/0","doc":"","ref":"Cldr.Calendar.Japanese.html#epoch_day_of_week/0"},{"type":"function","title":"Cldr.Calendar.Japanese.extended_year/3","doc":"Returns the extended year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Japanese.html#extended_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.first_day_of_week/0","doc":"","ref":"Cldr.Calendar.Japanese.html#first_day_of_week/0"},{"type":"function","title":"Cldr.Calendar.Japanese.iso_week_of_year/3","doc":"Calculates the ISO week of the year from the\ngiven `year`, `month`, and `day`.\n\nBy default this function always returns\n`{:error, :not_defined}`.","ref":"Cldr.Calendar.Japanese.html#iso_week_of_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.last_day_of_week/0","doc":"","ref":"Cldr.Calendar.Japanese.html#last_day_of_week/0"},{"type":"function","title":"Cldr.Calendar.Japanese.month/2","doc":"Returns a `Date.Range.t` representing\na given month of a year.","ref":"Cldr.Calendar.Japanese.html#month/2"},{"type":"function","title":"Cldr.Calendar.Japanese.month_of_year/3","doc":"Returns the month of the year from the given\n`year`, `month`, and `day`.","ref":"Cldr.Calendar.Japanese.html#month_of_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.months_in_leap_year/0","doc":"Returns the number of months in a leap year.","ref":"Cldr.Calendar.Japanese.html#months_in_leap_year/0"},{"type":"function","title":"Cldr.Calendar.Japanese.months_in_ordinary_year/0","doc":"Returns the number of months in a normal year.","ref":"Cldr.Calendar.Japanese.html#months_in_ordinary_year/0"},{"type":"function","title":"Cldr.Calendar.Japanese.months_in_year/1","doc":"Returns the number of months in a\ngiven `year`.","ref":"Cldr.Calendar.Japanese.html#months_in_year/1"},{"type":"function","title":"Cldr.Calendar.Japanese.naive_datetime_from_iso_days/1","doc":"Converts the `t:Calendar.iso_days` format to the\ndatetime format specified by this calendar.","ref":"Cldr.Calendar.Japanese.html#naive_datetime_from_iso_days/1"},{"type":"function","title":"Cldr.Calendar.Japanese.naive_datetime_to_iso_days/7","doc":"Returns the `t:Calendar.iso_days` format of\nthe specified date.","ref":"Cldr.Calendar.Japanese.html#naive_datetime_to_iso_days/7"},{"type":"function","title":"Cldr.Calendar.Japanese.periods_in_year/1","doc":"Returns the number of periods in a given\n`year`. A period corresponds to a month\nin month-based calendars and a week in\nweek-based calendars.","ref":"Cldr.Calendar.Japanese.html#periods_in_year/1"},{"type":"function","title":"Cldr.Calendar.Japanese.plus/6","doc":"Adds an `increment` number of `date_part`s\nto a `year-month-day`.\n\n`date_part` can be `:months` only.","ref":"Cldr.Calendar.Japanese.html#plus/6"},{"type":"function","title":"Cldr.Calendar.Japanese.quarter/2","doc":"Returns a `Date.Range.t` representing\na given quarter of a year.","ref":"Cldr.Calendar.Japanese.html#quarter/2"},{"type":"function","title":"Cldr.Calendar.Japanese.quarter_of_year/3","doc":"Returns the quarter of the year from the given\n`year`, `month`, and `day`.","ref":"Cldr.Calendar.Japanese.html#quarter_of_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.related_gregorian_year/3","doc":"Returns the related gregorain year as displayed\non rendered calendars.","ref":"Cldr.Calendar.Japanese.html#related_gregorian_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.valid_date?/3","doc":"Determines if the `date` given is valid according to\nthis calendar.","ref":"Cldr.Calendar.Japanese.html#valid_date?/3"},{"type":"function","title":"Cldr.Calendar.Japanese.week/2","doc":"Returns a `Date.Range.t` representing\na given week of a year.","ref":"Cldr.Calendar.Japanese.html#week/2"},{"type":"function","title":"Cldr.Calendar.Japanese.week_of_month/3","doc":"Calculates the week of the year from the given\n`year`, `month`, and `day`.\n\nBy default this function always returns\n`{:error, :not_defined}`.","ref":"Cldr.Calendar.Japanese.html#week_of_month/3"},{"type":"function","title":"Cldr.Calendar.Japanese.week_of_year/3","doc":"Calculates the week of the year from the given\n`year`, `month`, and `day`.\n\nBy default this function always returns\n`{:error, :not_defined}`.","ref":"Cldr.Calendar.Japanese.html#week_of_year/3"},{"type":"function","title":"Cldr.Calendar.Japanese.weeks_in_year/1","doc":"Returns the number of weeks in a\ngiven `year`.","ref":"Cldr.Calendar.Japanese.html#weeks_in_year/1"},{"type":"function","title":"Cldr.Calendar.Japanese.year/1","doc":"Returns a `Date.Range.t` representing\na given year.","ref":"Cldr.Calendar.Japanese.html#year/1"},{"type":"function","title":"Cldr.Calendar.Japanese.year_of_era/1","doc":"Calculates the year and era from the given `year`.","ref":"Cldr.Calendar.Japanese.html#year_of_era/1"},{"type":"function","title":"Cldr.Calendar.Japanese.year_of_era/3","doc":"Calculates the year and era from the given `date`.","ref":"Cldr.Calendar.Japanese.html#year_of_era/3"}],"content_type":"text/markdown"}